summaryrefslogtreecommitdiffstats
path: root/development/scala
diff options
context:
space:
mode:
author Matthias Diehn Ingesman2010-05-13 00:58:03 +0200
committer Robby Workman2010-05-13 00:58:03 +0200
commitf8b36fd3ee3331aa6884afae9547b5d75f481bdf (patch)
tree91bc5f6b13bf24371a240a7cdba229d2826eff70 /development/scala
parentd7168f94888e6e3e5c60c844ce3f92c3c7cffcf4 (diff)
downloadslackbuilds-f8b36fd3ee3331aa6884afae9547b5d75f481bdf.tar.gz
development/scala: Added to 13.0 repository
Diffstat (limited to 'development/scala')
-rw-r--r--development/scala/README12
-rw-r--r--development/scala/profile.d/scala.csh4
-rw-r--r--development/scala/profile.d/scala.sh4
-rw-r--r--development/scala/scala.SlackBuild64
-rw-r--r--development/scala/scala.info10
-rw-r--r--development/scala/slack-desc19
6 files changed, 113 insertions, 0 deletions
diff --git a/development/scala/README b/development/scala/README
new file mode 100644
index 0000000000..5b455c545c
--- /dev/null
+++ b/development/scala/README
@@ -0,0 +1,12 @@
+Scala is a functional object-oriented programming language
+compiling to JVM byte code.
+
+This is a binary repackaging of the distribution from the Scala home-page.
+It sets SCALA_HOME=/usr/lib/scala, MANPATH to include /usr/lib/scala/man,
+and PATH to include /usr/lib/scala/bin.
+
+The installation is like Java Runtime/SDK, in that it places everything by
+default in /usr/lib/scala - including manpages and documentation.
+
+The lib directory is set dependent upon the package architecture:
+/usr/lib on x86 and /usr/lib64 on x86_64.
diff --git a/development/scala/profile.d/scala.csh b/development/scala/profile.d/scala.csh
new file mode 100644
index 0000000000..ac90ddc545
--- /dev/null
+++ b/development/scala/profile.d/scala.csh
@@ -0,0 +1,4 @@
+#!/bin/csh
+setenv SCALA_HOME @LIBDIR@/scala
+setenv MANPATH ${MANPATH}:${SCALA_HOME}/man
+setenv PATH ${PATH}:${SCALA_HOME}/bin
diff --git a/development/scala/profile.d/scala.sh b/development/scala/profile.d/scala.sh
new file mode 100644
index 0000000000..a53787d419
--- /dev/null
+++ b/development/scala/profile.d/scala.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+export SCALA_HOME=@LIBDIR@/scala
+export MANPATH="${MANPATH}:${SCALA_HOME}/man"
+export PATH="${PATH}:${SCALA_HOME}/bin"
diff --git a/development/scala/scala.SlackBuild b/development/scala/scala.SlackBuild
new file mode 100644
index 0000000000..7a33a3bdef
--- /dev/null
+++ b/development/scala/scala.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Build script for scala
+
+# Written by Matthias Diehn Ingesman (matthias@pf-c.dk)
+# Public domain.
+
+PRGNAM=scala
+VERSION=${VERSION:-2.7.7.final}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Binary repackaging, so no compile-flags needed
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/$LIBDIR/$PRGNAM
+mv $TMP/$PRGNAM-$VERSION/{bin,lib,man,meta,misc,src} $PKG/$LIBDIR/$PRGNAM
+
+# No need to install these with a .new extension
+mkdir -p $PKG/etc/profile.d
+sed "s%@LIBDIR@%$LIBDIR%" $CWD/profile.d/scala.sh > \
+ $PKG/etc/profile.d/scala.sh
+sed "s%@LIBDIR@%$LIBDIR%" $CWD/profile.d/scala.csh > \
+ $PKG/etc/profile.d/scala.csh
+chmod 0755 $PKG/etc/profile.d/*
+
+( cd $PKG/$LIBDIR/$PRGNAM/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/scala/scala.info b/development/scala/scala.info
new file mode 100644
index 0000000000..6a8134fbb2
--- /dev/null
+++ b/development/scala/scala.info
@@ -0,0 +1,10 @@
+PRGNAM="scala"
+VERSION="2.7.7.final"
+HOMEPAGE="http://www.scala-lang.org/"
+DOWNLOAD="http://www.scala-lang.org/downloads/distrib/files/scala-2.7.7.final.tgz"
+MD5SUM="5d2294d5aab72fec869c0ba666d28b7e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Matthias Diehn Ingesman"
+EMAIL="matthias@pf-c.dk"
+APPROVED="rworkman"
diff --git a/development/scala/slack-desc b/development/scala/slack-desc
new file mode 100644
index 0000000000..4819393644
--- /dev/null
+++ b/development/scala/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+scala: scala (multi-paradigm programming language)
+scala:
+scala: scala is a functional object-oriented programming language
+scala: compiling to JVM byte code.
+scala:
+scala: This is a binary repackaging of the distribution from the
+scala: Scala home-page.
+scala:
+scala: Homepage: http://www.scala-lang.org
+scala:
+scala: